<?php
include("./internal/mysql.php");

$data = array(
    'secret' => $secretkey,
    'response' => $_POST['h-captcha-response']
);

$verify = curl_init();
curl_setopt($verify, CURLOPT_URL, "https://hcaptcha.com/siteverify");
curl_setopt($verify, CURLOPT_POST, true);
curl_setopt($verify, CURLOPT_POSTFIELDS, http_build_query($data));
curl_setopt($verify, CURLOPT_RETURNTRANSFER, true);
$response_ = curl_exec($verify);
$responseData = json_decode($response_);



if($responseData->success) {

    $ref = $_SERVER["HTTP_REFERER"];
    $article = $conn->escape_string(explode(".php", explode("Projekte/", $ref)[1])[0]);
    $name = $conn->escape_string($_POST["name"]);
    $email = $conn->escape_string($_POST["email"]);
    $comment = $conn->escape_string($_POST["comment"]);

    $sql = "INSERT INTO comments (name, email, comment, article) VALUES ('$name', '$email', '$comment', '$article')";

    if ($conn->query($sql) === TRUE) {
        header("Location: $ref");
    } else {
        echo "Error: " . $sql . "<br>" . $conn->error;
    }
} else {
    echo "Failed to verify captcha.";
}